All resources All frames

# SimpleCacheFilter

...description...

## Inherits

The SimpleCacheFilter class inerits from the following classes:

- Resource
- FramedResource
- ResourceFrame
- ResourceFilter

## Attributes description

The SimpleCacheFilter defines the following attributes:

- maxSize
- maxEntries
- defaultMaxAge
- flush

`maxSize`

semantics
  ....
type
  This attribute is an editable IntegerAttribute
default value
  This attribute defaults to 8192.

`maxEntries`

semantics
  ....
type
  This attribute is an editable IntegerAttribute
default value
  This attribute defaults to -1.

`defaultMaxAge`

semantics
  ....
type
  This attribute is an editable IntegerAttribute
default value
  This attribute defaults to 300.

`flush`

semantics
  ....
type
  This attribute is an editable BooleanAttribute
default value
  This attribute defaults to false.

Jigsaw Team
$Id: org.w3c.jigsaw.filters.SimpleCacheFilter.html,v 1.4 1998/09/04 14:09:07 bmahe Exp $